Subject: Re: [Fot] Orlando

From: Bob Davis via Fot <[email-masked]>
Date: Thu, 5 Mar 2015 20:16:34 +0000

Marty,

I'm in Mt Dora, just outside of Orlando. Couple of suggestions:
- Classic Motorsports Magazine in Holly Hill about an hour drive
- Classic Dream Cars museum in Mt Dora 
- Mt Dora is great place to take the wife if she is coming with you. Shopping for her.
- Fantasy of Flight (no cars but what a collection of aircraft)in Polk City less than an hour west of Orlando
- Daytona Speedway about an hour

Bob

---- marty via Fot <[email-masked]> wrote: 
> Looks like I will be in Orlando for a few days starting March 23rd. Any FOT'rs from around there have any recommendation for any neat car related places to explore in that area?  I'll just miss Sebring :(
> 
>  
> 
> I'm sure going to miss this Ohio weather!
> 
>  
> 
> Marty
>  		 	   		  

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive